Application: gvSIG desktop - gvSIG bugs #5260
Geoproceso de cortar o intersectar: Capa vacia resultante
05/06/2020 10:50 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Oscar Martinez

Category: Geoprocess

Target version: 2.5.1-3023

Severity: Major Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3022 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al utilizar el geoproceso de Cortar o Interesectar con las dos capas adjuntas da como resultado una capa vacia.
El Geoproceso de Cortar de Sextante sin embargo da el resultado correcto.

Nota para facilitar pruebas: en las ventanas, la "CAPA_INTER" es la primera y la "CAPA1" la segunda

Adjunto log y capas

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5227: Al ejecutar el geo... Closed 04/21/2020

Associated revisions

Revision 1293 - 05/07/2020 08:58 PM - Oscar Martinez

refs #5260 Tratamiento de capas multi

Revision 1294 - 05/08/2020 01:06 AM - Oscar Martinez

refs #5260 Correccion tipos de capas creadas

History

#1 - 05/06/2020 10:50 AM - Alvaro Anguix
- Related to gvSIG bugs #5227: Al ejecutar el geoproceso de "Area de influencia” da error added

#2 - 05/06/2020 10:50 AM - Alvaro Anguix

- Subject changed from Geoprocesod e cortar o intersectar: Capa vacia resultante to Geoproceso de cortar o intersectar: Capa vacia resultante

#3 - 05/08/2020 01:05 AM - Oscar Martinez
- Status changed from New to Fixed

Este bug tiene que ver con que las capas que se creaban eran poligono o linea, y no aceptaban multipoligonos o multilineas. Ahora genera capas de
tipo multipoligono y multilinea. Ya se habian corregido algunos geoprocesos para soportar esto. Ahora he modificado otros que quedaban:

- Clip

- Intersection

- Merge
- XY Shift

Se han corregido partes que pueden afectar al resto de gvsig-geoprocesos

#4 - 05/08/2020 09:12 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3022

#5 - 05/09/2020 04:14 PM - Alvaro Anguix

- gvSIG build changed from 3021 to 3022

- Target version changed from 2.5.1-3022 to 2.5.1-3044
- Status changed from Fixed to New

Probando con las capas del ticket sigue dando como resultado una capa vacia tanto con el geoproceso cortar como con copiar

#6 - 05/11/2020 06:26 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3023

#7 - 05/13/2020 05:52 PM - Oscar Martinez

- Status changed from New to Fixed

No se habian instalado los plugins, saldra en la préxima build.

#8 - 05/14/2020 08:07 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
CAPA zip 1.28 MB 05/06/2020 Alvaro Anguix
gvSIG.log 465 KB 05/06/2020 Alvaro Anguix
